## org.apache.xerces.xni.parser
Interface XMLDTDFilter

All Superinterfaces:
  XMLDTDHandler, XMLDTDSource

public interface XMLDTDFilter
extends XMLDTDHandler, XMLDTDSource

Defines a DTD filter that acts as both a receiver and an emitter of DTD events.

Version:
  $Id: XMLDTDFilter.java,v 1.2 2002/01/29 01:15:19 lehors Exp $
Author:
  Andy Clark, IBM

Field Summary

Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Methods inherited from interface org.apache.xerces.xni.XMLDTDHandler
`attributeDecl, comment, elementDecl, endAttlist, endConditional, endDTD, endExternalSubset, endParameterEntity, externalEntityDecl, getDTDSource, ignoredCharacters, internalEntityDecl, notationDecl, processingInstruction, setDTDSource, startAttlist, startConditional, startDTD, startExternalSubset, startParameterEntity, textDecl, unparsedEntityDecl`

Methods inherited from interface org.apache.xerces.xni.parser.XMLDTDSource
`getDTDHandler, setDTDHandler`

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.